import PropTypes from 'prop-types';
import React, { Component, Context, ReactNode } from 'react';
import { Action, AnyAction, Middleware, Store } from 'redux';
import { Persistor } from 'redux-persist';
import { ReactReduxContextValue } from 'react-redux';
import { Reducers } from '../types';
export declare const storeContext: React.Context<ReactReduxContextValue<any, AnyAction>>;
export interface ProviderProps<A extends Action = AnyAction> {
    children?: ReactNode | ((bootstrapped: boolean) => ReactNode);
    context?: Context<ReactReduxContextValue>;
    defaultState?: object;
    loading?: ReactNode;
    middlewares?: Middleware[];
    onBeforeLift?(): void | Promise<void>;
    onReady?(store: Store, persistor?: Persistor): any;
    options?: object;
    persistor?: Persistor;
    reducers?: Reducers;
    store?: Store<any, A>;
}
declare class Provider extends Component<ProviderProps> {
    store: Store;
    persistor?: Persistor;
    static childContextTypes: {
        store: PropTypes.Validator<object>;
    };
    constructor(props: ProviderProps);
    getChildContext(): {
        store: Store<any, AnyAction>;
    };
    render(): JSX.Element;
}
export default Provider;
